<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="NewDataSet">
	<html>
		<body>
			<img src="http://myserver/header.jpg" />
			<table cellspacing="5" cellpadding="5">
				<tr>
					<td><b>ID</b></td>
					<td><b>Date</b></td>
					<td><b>Company</b></td>
					<td align="right"><b>Total</b></td>
				</tr>
				<xsl:for-each select="Table">
				<tr>
					<td><xsl:value-of select="orderid" /></td>
					<td><xsl:value-of select="substring(orderdate, 1, 10)" /></td>
					<td><xsl:value-of select="companyname" /></td>
					<td align="right">$<xsl:value-of select="format-number(ordertotal, '#,##0.00')" /></td>
				</tr>
				</xsl:for-each>
				<tr>
					<td><b>Total:</b></td>
					<td/>
					<td/>
					<td align="right"><b>$<xsl:value-of select="format-number(sum(//Table/ordertotal), '##,##0.00')" /></b></td>
				</tr>
			</table>
		</body>
	</html>
</xsl:template>
</xsl:stylesheet>
